Đến nội dung


Hình ảnh

Hỏi về cách sử dụng Point


  • Please log in to reply
17 replies to this topic

#1 haicoi311

haicoi311

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 April 2010 - 09:12 PM

e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!
Sử dụng CAD 2009!
Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!
các bác giúp e cách với!
Hình vẽ minh họa đây:
Hình đã gửi
  • 0

#2 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 02 April 2010 - 06:29 AM

e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!
Sử dụng CAD 2009!
Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!
các bác giúp e cách với!
Hình vẽ minh họa đây:
Hình đã gửi


Vẽ đường tròn và trim các line thừa đi
  • 0

#3 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 02 April 2010 - 08:35 AM

e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!
Sử dụng CAD 2009!
Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!
các bác giúp e cách với!
Hình vẽ minh họa đây:
Hình đã gửi


Để tiện lợi bạn nên dùng wipeout che phần dưới đi.Khi đó 2 đường kia của bạn vẫn nguyên mà lại đáp ứng được yêu cầu.Lệnh wipeout bạn có thể tìm hiều thêm trên diễn đàn.Chỉ lưu ý là muốn Wipeout được hình "tròn" bạn cần dùng đa giác n cạnh (Sẽ có dạng như hình tròn vì wipeout chỉ làm việc với các Polyline)
:D
  • 2
__Tâm tựa lưu thủY__
Vi nhân nan

#4 haicoi311

haicoi311

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 April 2010 - 07:31 PM

Vẽ đường tròn và trim các line thừa đi

một bài cỡ vài trăm điểm thì trim chắc cũng nhanh bác nhẩy! hình ví dụ là hình iem trim ở đó đó!
  • 0

#5 haicoi311

haicoi311

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 April 2010 - 07:32 PM

Để tiện lợi bạn nên dùng wipeout che phần dưới đi.Khi đó 2 đường kia của bạn vẫn nguyên mà lại đáp ứng được yêu cầu.Lệnh wipeout bạn có thể tìm hiều thêm trên diễn đàn.Chỉ lưu ý là muốn Wipeout được hình "tròn" bạn cần dùng đa giác n cạnh (Sẽ có dạng như hình tròn vì wipeout chỉ làm việc với các Polyline)
:D

tìm hiểu ở đâu, bác chỉ cho em xem đc ko?
  • 0

#6 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 02 April 2010 - 07:52 PM

một bài cỡ vài trăm điểm thì trim chắc cũng nhanh bác nhẩy! hình ví dụ là hình iem trim ở đó đó!


Mình không biết lệnh trên


tìm hiểu ở đâu, bác chỉ cho em xem đc ko?


Bạn hướng dẫn cụ thể được không? :D
  • 0

#7 jick

jick

    biết lệnh hatchedit

  • Members
  • PipPipPipPip
  • 264 Bài viết
Điểm đánh giá: 82 (tàm tạm)

Đã gửi 02 April 2010 - 07:59 PM

tìm hiểu ở đâu, bác chỉ cho em xem đc ko?

theo mình nghĩ WIPEOUT cũng ko khả quan hơn lệnh TRIM là mấy cả,tốt nhất bạn nên nhờ các cao thủ cho 1 cái lisp là OK!!!! :cheers: :D
  • 0
Hình đã gửi
______________________Civil___________________________________________________

___ ^_^ ___


#8 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 02 April 2010 - 09:55 PM

Mình không biết lệnh trên
Bạn hướng dẫn cụ thể được không? :D

Rất đơn giản :
Trước hết, mình ví dụ đơn giản : Bạn vẽ 1 hình chữ nhật bằng lệnh RECTANG -> Sử dụng lệnh Wipeout
Command: WIPEOUT -> gõ lệnh Wipeout
Specify first point or [Frames/Polyline] : Enter để chọn Polyline

Select a closed polyline: -> Chọn Rectang (hình chữ nhật vừa vẽ)
Erase polyline? [Yes/No] : y -> CAD sẽ tạo ra 1 wipeout từ hình chữ nhật này và nó hỏi bạn có muốn xoá hình chữ nhật cũ này không? -> Gõ Y nếu muốn xoá, gõ N nếu không xoá
Sau khi sử dụng lệnh Wipeout này xong thì Wipeout tạo bởi hình chữ nhật sẽ che những đối tượng mà nó đè lên. Vậy đó.

Mong bạn làm được

một bài cỡ vài trăm điểm thì trim chắc cũng nhanh bác nhẩy! hình ví dụ là hình iem trim ở đó đó!

Chào bạn haicoi311
Nếu một bài cỡ vài trăm điểm thì nên sử dụng Lisp sẽ giải quyết 1 lần là xong. Mình sẽ hướng dẫn cho bạn thực hiện được lệnh này rồi mới viết cho bạn Lisp này. OK?
  • 1

#9 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 03 April 2010 - 08:49 AM

theo mình nghĩ WIPEOUT cũng ko khả quan hơn lệnh TRIM là mấy cả,tốt nhất bạn nên nhờ các cao thủ cho 1 cái lisp là OK!!!! :cheers: :D


Sẽ nhanh hơn nhiều so với jick tưởng tượng đó.Khi trim thì hình nào jick cũng phải trim.Nhưng khi wipeout nếu hình muốn che giống nhau thì bạn chỉ cần copy hàng loạt đặt vào đúng vị trí là ok.
Ngoài ra Wipeout còn tiện lợi ở chỗ là nó chỉ che khuất phần sau mà không phải động chạm jì đến đối tượng cần che.Nếu với trim bạn phải cắt từ 2 đoạn thẳng thành 4 đoạn thẳng và nếu sau này cần dùng lại 2 đoạn thẳng ban đầu thì bạn phải làm sao?
  • 1
__Tâm tựa lưu thủY__
Vi nhân nan

#10 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 03 April 2010 - 10:18 AM

Rất đơn giản :
Trước hết, mình ví dụ đơn giản : Bạn vẽ 1 hình chữ nhật bằng lệnh RECTANG -> Sử dụng lệnh Wipeout
Command: WIPEOUT -> gõ lệnh Wipeout
Specify first point or [Frames/Polyline] : Enter để chọn Polyline

Select a closed polyline: -> Chọn Rectang (hình chữ nhật vừa vẽ)
Erase polyline? [Yes/No] : y -> CAD sẽ tạo ra 1 wipeout từ hình chữ nhật này và nó hỏi bạn có muốn xoá hình chữ nhật cũ này không? -> Gõ Y nếu muốn xoá, gõ N nếu không xoá
Sau khi sử dụng lệnh Wipeout này xong thì Wipeout tạo bởi hình chữ nhật sẽ che những đối tượng mà nó đè lên. Vậy đó.

Mong bạn làm được
Chào bạn haicoi311
Nếu một bài cỡ vài trăm điểm thì nên sử dụng Lisp sẽ giải quyết 1 lần là xong. Mình sẽ hướng dẫn cho bạn thực hiện được lệnh này rồi mới viết cho bạn Lisp này. OK?



Sẽ nhanh hơn nhiều so với jick tưởng tượng đó.Khi trim thì hình nào jick cũng phải trim.Nhưng khi wipeout nếu hình muốn che giống nhau thì bạn chỉ cần copy hàng loạt đặt vào đúng vị trí là ok.
Ngoài ra Wipeout còn tiện lợi ở chỗ là nó chỉ che khuất phần sau mà không phải động chạm jì đến đối tượng cần che.Nếu với trim bạn phải cắt từ 2 đoạn thẳng thành 4 đoạn thẳng và nếu sau này cần dùng lại 2 đoạn thẳng ban đầu thì bạn phải làm sao?


2 bạn có thể hướng dẫn cách ứng dụng hình này không?

Hình đã gửi
  • 0

#11 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 April 2010 - 11:33 AM

2 bạn có thể hướng dẫn cách ứng dụng hình này không?

Hình đã gửi

Với hình của bạn nên dùng 3D để dựng khối và sau đó thì thoải mái mà lấy hình chiếu cũng như hình phối cảnh. Muốn che muốn giấu gì tùy bạn. Hề hề hề.....
Như vậy khỏi sợ bị thiếu nét như cái hình của bạn.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#12 jick

jick

    biết lệnh hatchedit

  • Members
  • PipPipPipPip
  • 264 Bài viết
Điểm đánh giá: 82 (tàm tạm)

Đã gửi 03 April 2010 - 11:41 AM

Sẽ nhanh hơn nhiều so với jick tưởng tượng đó.Khi trim thì hình nào jick cũng phải trim.Nhưng khi wipeout nếu hình muốn che giống nhau thì bạn chỉ cần copy hàng loạt đặt vào đúng vị trí là ok.
Ngoài ra Wipeout còn tiện lợi ở chỗ là nó chỉ che khuất phần sau mà không phải động chạm jì đến đối tượng cần che.Nếu với trim bạn phải cắt từ 2 đoạn thẳng thành 4 đoạn thẳng và nếu sau này cần dùng lại 2 đoạn thẳng ban đầu thì bạn phải làm sao?

ý em nó ko khả quan trong bài này,có thể em sai khi ko bít rõ trức năng trong lệnh WIPEOUT vì khi đó nó bắt vẽ đa giác bằng polyline,để có đc đa giác giống hình tròn thì có lẽ là hơi lâu,hay là mình vẽ 1 polygon khoang 90 canh truớc xong sau đó vẽ cái polyline đè lên cái polygon này rồi xoá cái polygon trc đi chắc cũng đc.có vẻ hơi phức tạp,có lẽ lisp sẽ tối ưu nhất.
PM: bác ở huơng sơn-mỹ đức ah?
em cũng ở mỹ đức đó bác,anh em mình là đồng huơng rồi khi`khi` :cheers: :D :D
  • 1
Hình đã gửi
______________________Civil___________________________________________________

___ ^_^ ___


#13 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 03 April 2010 - 01:15 PM

ý em nó ko khả quan trong bài này,có thể em sai khi ko bít rõ trức năng trong lệnh WIPEOUT vì khi đó nó bắt vẽ đa giác bằng polyline,để có đc đa giác giống hình tròn thì có lẽ là hơi lâu,hay là mình vẽ 1 polygon khoang 90 canh truớc xong sau đó vẽ cái polyline đè lên cái polygon này rồi xoá cái polygon trc đi chắc cũng đc.có vẻ hơi phức tạp,có lẽ lisp sẽ tối ưu nhất.

Rắc rối chi vậy jick?
Bản chất của lệnh POLYGON là tạo ra đối tượng đa giác đều và đa giác đó chính là POLYLINE rồi
Cần chi phải vẽ 1 POLYGON rồi vẽ POLYLINE đè lên nữa có phải không?
Thế này nhé : Bạn vẽ POLYGON "tròn" với góc chắn ở cung là 1 độ <=> 360 đoạn
-> Sau đó sử dụng lệnh Wipeout cho POLYGON này.

Bên cạnh đó các bạn cần chú ý 2 điểm để có thể sử dụng được lệnh Wipeout với đối tượng POLYLINE
1. POLYLINE đó phải kín
2. POLYLINE đó không có phân đoạn arc

Sử dụng Lisp đúng là tối ưu nhất trong trường hợp có rất nhiều điểm giao nhau tạo bởi các đối tượng và Lisp sẽ vẽ 1 Wipeout "tròn" tại giao điểm của các đói tượng
Lisp đây :

(defun c:wci(/ oldos ss r i ent j ent1 giao lisgiao)
(vl-load-com)
(command "undo" "be")
(setq oldos (getvar "osmode"))
(setq ss (ssget '((0 . "*LINE,ARC,ELLIPSE,CIRCLE"))) i 0 lisgiao (list))
(setq r (getdist "\n Nhap ban kinh cua duong tron :"))
(while (< i (sslength ss))
(setq ent (ssname ss i) j 0)
(while (< j (sslength ss))
(setq ent1 (ssname ss j))
(if (giaodt ent ent1) (progn
(setq giao (nth 0 (giaodt ent ent1)))
(if (not(member giao lisgiao))
(setq lisgiao (cons giao lisgiao))
)
))
(setq j (1+ j))
)
(setq j 0 i (1+ i))
)
(setvar "osmode" 0)
(foreach x lisgiao
(vl-cmdf "polygon" "360" x "I" r)
(vl-cmdf "wipeout" "PolyLINE" (entlast) "Y")
)
(setvar "osmode" oldos)
(princ)
)
;
(defun GiaoDT (ent1 ent2)
Thanks for Mr Hoanh for this function
(setq ob1 (vlax-ename->vla-object ent1)
ob2 (vlax-ename->vla-object ent2)
)
(setq g (vlax-variant-value
(vla-IntersectWith ob1 ob2 acExtendNone)
)
)
(if (/= (vlax-safearray-get-u-bound g 1) -1)
(setq g (vlax-safearray->list g))
(setq g nil)
)
(if g
(progn
(setq kq nil
sd (fix (/ (length g) 3))
)
(repeat sd
(setq kq (append kq (list (list (car g) (cadr g) (caddr g))))
g (cdddr g)
)
)
kq
)
nil
)

)

Các bạn chạy thử nhé
  • 1

#14 lcnguyen

lcnguyen

    HVKT-12

  • Members
  • PipPipPip
  • 143 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 04 March 2012 - 11:04 AM


...Cần chi phải vẽ 1 POLYGON rồi vẽ POLYLINE đè lên nữa có phải không?
Thế này nhé : Bạn vẽ POLYGON "tròn" với góc chắn ở cung là 1 độ <=> 360 đoạn
-> Sau đó sử dụng lệnh Wipeout cho POLYGON này....

Xin hỏi là làm sao mình có thể vẽ được như bạn nói??? chẵng lẽ mình vẽ 360 đoạn???
  • 0
:

#15 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 04 March 2012 - 11:51 AM

Xin hỏi là làm sao mình có thể vẽ được như bạn nói??? chẵng lẽ mình vẽ 360 đoạn???

Trích dẫn lệnh vẽ Polygon
Command: POLYGON
Enter number of sides <5>: 360
Specify center of polygon or [Edge]: nhập điểm tâm
Enter an option [Inscribed in circle/Circumscribed about circle] <C>: C
Specify radius of circle: nhập R là xong
.
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#16 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 05 March 2012 - 07:33 AM

e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!
Sử dụng CAD 2009!
Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!
các bác giúp e cách với!
Hình vẽ minh họa đây:

1. Vấn đề là có nhất thiết bạn phải cho nó hiển thị giống hệt trong sách không?
2.@ all Trong cad khi ko biết lệnh gì mà người ta đã đọc cho cái tên lệnh rồi thì nên tự gỏ vào xem nó thế nào rồi hảy kiêu gọi mọi người là không biết này nọ chứ cứ kiêu hoài nghe mãi cũng ngán các bạn ạ!
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#17 trinhngoctri

trinhngoctri

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 November 2013 - 03:30 PM

không anh nào trả lời câu này ta.


  • 0

#18 trinhngoctri

trinhngoctri

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 November 2013 - 04:13 PM

format ---> point style. la ok roi


  • 0